> For AI agents: [llms.txt](https://docs.trustedauth.com/llms.txt) provides a Markdown index of this documentation.

# Gets a list of user passwords

`GET /api/web/v1/users/{userid}/list/passwords`

Get password information for the specified user. Caller requires the USERPASSWORDS:VIEW permission.

## Parameters

| Name | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| userid | path | Yes | string | The UUID of the user whose password information is to be fetched. |

## Responses

### 200

Successful

#### application/json

Schema

```json
{
  "type": "array",
  "items": {
    "type": "object",
    "properties": {
      "compromised": {
        "type": "boolean",
        "description": "Indicates if the user's password has been found in a data breach."
      },
      "expiryNotificationDate": {
        "type": "string",
        "description": "The date at which the next password expiry notification will be sent.",
        "format": "date-time",
        "example": "2019-02-19T13:15:27Z"
      },
      "expiryTime": {
        "type": "string",
        "description": "The date at which the password will expire.",
        "format": "date-time",
        "example": "2019-02-19T13:15:27Z"
      },
      "forceUpdate": {
        "type": "boolean",
        "description": "Indicates if the user will be forced to change their password the next time the user authenticates with it."
      },
      "id": {
        "type": "string",
        "description": "The ID of the user password."
      },
      "lastChangedTime": {
        "type": "string",
        "description": "The last time the password was changed.",
        "format": "date-time",
        "example": "2019-02-19T13:15:27Z"
      },
      "lastCompromisedCheckTime": {
        "type": "string",
        "description": "The date and time of the last Have I Been Pwned api call performed on this password.",
        "format": "date-time",
        "example": "2019-02-19T13:15:27Z"
      },
      "namedPasswordId": {
        "type": "string",
        "description": "The named password associated to the user."
      },
      "newPassword": {
        "type": "string",
        "description": "The value of the new password generated by IDaaS if requested by the client."
      },
      "present": {
        "type": "boolean",
        "description": "A flag that indicates if the user has a password."
      }
    },
    "description": "Information returned when a user password is queried.",
    "title": "UserPassword"
  }
}
```

### 400

Bad Request

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

### 401

Access denied

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

### 403

Forbidden

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

### 404

Not Found

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

### 409

Conflict

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

## Security

Requirements

```json
[
  {
    "AdminAPIAuthentication": [
      "USERPASSWORDS:VIEW"
    ]
  }
]
```
